aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'bin/run.sh')
-rwxr-xr-xbin/run.sh13
1 files changed, 13 insertions, 0 deletions
diff --git a/bin/run.sh b/bin/run.sh
new file mode 100755
index 0000000..82e720a
--- /dev/null
+++ b/bin/run.sh
@@ -0,0 +1,13 @@
+#!/bin/sh
+# POSIX sh, not bash!
+die() {
+ set +x
+ echo "$*" 1>&2
+ exit 1
+}
+# export for debugging
+[ "$DEBUG" == "1" ] && set -x
+# go to volume
+cd /repo
+npm install || die "FAIL:${PWD}: npm install failed"
+npm run dist || die "FAIL:${PWD}: npm run dist failed" \ No newline at end of file